#
# Journalling File Systems
#
# We have: JFFS, JFFSv2, ReiserFS, Ext3fs, JFS, XFS

mainmenu_option next_comment
comment 'Journalling File Systems'

# JFFS
dep_tristate 'Journalling Flash File System (JFFS) support' CONFIG_JFFS_FS $CONFIG_MTD
if [ "$CONFIG_JFFS_FS" = "y" -o "$CONFIG_JFFS_FS" = "m" ] ; then
   int '  JFFS debugging verbosity (0 = quiet, 3 = noisy)' CONFIG_JFFS_FS_VERBOSE 0
   bool '  JFFS stats available in /proc filesystem' CONFIG_JFFS_PROC_FS
fi


# JFFSv2
dep_tristate 'Journalling Flash File System v2 (JFFS2) support' CONFIG_JFFS2_FS $CONFIG_MTD
if [ "$CONFIG_JFFS2_FS" = "y" -o "$CONFIG_JFFS2_FS" = "m" ] ; then
   int '  JFFS2 debugging verbosity (0 = quiet, 2 = noisy)' CONFIG_JFFS2_FS_DEBUG 0
fi


# ReiserFS
tristate 'Reiserfs support' CONFIG_REISERFS_FS
dep_mbool '  Enable reiserfs debug mode' CONFIG_REISERFS_CHECK $CONFIG_REISERFS_FS
dep_mbool '  Stats in /proc/fs/reiserfs' CONFIG_REISERFS_PROC_INFO $CONFIG_REISERFS_FS


# Ext3 FS
tristate 'Ext3 journalling file system support' CONFIG_EXT3_FS
# CONFIG_JBD could be its own option (even modular), but until there are
# other users than ext3, we will simply make it be the same as CONFIG_EXT3_FS
# dep_tristate '  Journal Block Device support (JBD for ext3)' CONFIG_JBD $CONFIG_EXT3_FS
define_bool CONFIG_JBD $CONFIG_EXT3_FS
dep_mbool '  JBD (ext3) debugging support' CONFIG_JBD_DEBUG $CONFIG_JBD
dep_mbool '  Online ext3 resize support (DANGEROUS)' CONFIG_EXT3_RESIZE $CONFIG_EXT3_FS $CONFIG_EXPERIMENTAL


# JFS
tristate 'JFS filesystem support' CONFIG_JFS_FS
dep_mbool '  JFS debugging' CONFIG_JFS_DEBUG $CONFIG_JFS_FS
dep_mbool '  JFS statistics' CONFIG_JFS_STATISTICS $CONFIG_JFS_FS


# XFS
tristate 'XFS filesystem support' CONFIG_XFS_FS
dep_mbool    '  Realtime support (EXPERIMENTAL)' CONFIG_XFS_RT $CONFIG_XFS_FS $CONFIG_EXPERIMENTAL
dep_mbool    '  Quota support' CONFIG_XFS_QUOTA $CONFIG_XFS_FS
dep_mbool    '  DMAPI support' CONFIG_XFS_DMAPI $CONFIG_XFS_FS
dep_mbool    '  Debugging support (EXPERIMENTAL)' CONFIG_XFS_DEBUG $CONFIG_XFS_FS $CONFIG_EXPERIMENTAL
dep_mbool    '  Pagebuf debugging support (EXPERIMENTAL)' CONFIG_PAGEBUF_DEBUG $CONFIG_XFS_FS $CONFIG_EXPERIMENTAL


endmenu

